| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_VMD_SEQ

BOOST_VMD_IS_VMD_SEQ — Determines if a sequence is a VMD seq.

## Synopsis

    // In header: <boost/vmd/seq/is_vmd_seq.hpp>

    BOOST_VMD_IS_VMD_SEQ(sequence)

## Description

The macro checks that the sequence is a VMD seq. A VMD seq, which may be a Boost PP seq or emptiness, is a superset of a Boost PP seq. It returns 1 if it is a VMD seq, else if returns 0.

sequence = a possible Boost PP seq

returns = 1 if it a VMD seq, else returns 0.